@charset "utf-8";

.solution-section {
  box-sizing: border-box;

  display: flex;
  width: 100%;
  padding: 120px 96px 60px 96px;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  gap: 100px;
}

.solution-section .title-text {
  padding: 3px 77px 0px 77px;
  justify-content: center;
  align-items: center;
  color: var(--ref-base-black, #151818);
  text-align: center;
  /* Display/Medium */
  font-family: Pretendard;
  font-size: var(--ref-font-size-10-fluent, 45px);
  font-style: normal;
  font-weight: 700;
  line-height: 140%; /* 63px */
}

.solution-section .content-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 100px;
  align-self: stretch;
}

.solution-section .content-container img {
  width: 100%;
  max-width: 1168px;
}

.solution-section .content-container .footer-container {
  gap: 30px;
  max-width: 1190px;
  margin: 0 96px;

  border-radius: 16px;
  background: var(--sys-bg-default, #f3f5f7);
  display: flex;
  width: 100%;
  padding: 30px 50px;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
}

.solution-section
  .content-container
  .footer-container
  .footer-content-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  flex-shrink: 1;
}

.solution-section
  .content-container
  .footer-container
  .footer-content-container
  .footer-title-text {
  color: var(--sys-text-default-900, #373d44);
  /* Title/XLarge */
  font-family: Pretendard;
  font-size: var(--ref-font-size-6-static, 24px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 38.4px */
}

.solution-section
  .content-container
  .footer-container
  .footer-content-container
  ul.footer-content-list {
  list-style: none;
  padding-left: 0;
  margin-left: 0;
}

.solution-section
  .content-container
  .footer-container
  .footer-content-container
  ul.footer-content-list
  li {
  position: relative;
  padding-left: 1.5em;
  color: var(--sys-text-light-700, #4e5760);
  /* Body/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-4-static, 18px);
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
}

.solution-section
  .content-container
  .footer-container
  .footer-content-container
  ul.footer-content-list
  li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.6em;
  width: 0.25em;
  height: 0.25em;
  background-color: #3cd0d0;
  border-radius: 50%;
}

.solution-section .content-container .footer-container .programs {
  display: flex;
  align-items: center;
  gap: 12px;
}

.solution-section .content-container .footer-container .programs img {
  width: 137px;
  height: auto;
}

@media screen and (max-width: 1023px) {
  .solution-section {
    box-sizing: border-box;

    display: flex;
    width: 100%;
    padding: 50px 24px 30px 24px;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 30px;
  }

  .solution-section .title-text {
    padding: 0 20px;
    color: var(--ref-base-black, #151818);
    text-align: center;
    /* Headline/Medium */
    font-family: Pretendard;
    font-size: var(--ref-font-size-7-fluent, 28px);
    font-style: normal;
    font-weight: 700;
    line-height: 140%; /* 39.2px */
  }

  .solution-section .content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 100px;
    align-self: stretch;
  }

  .solution-section .content-container img {
    width: 100%;
    max-width: 1168px;
  }

  .solution-section .content-container .solutions {
    display: flex !important;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    align-self: stretch;
  }

  .solution-section .content-container .footer-container {
    gap: 30px;
    margin: 0 96px;
    box-sizing: border-box;

    border-radius: 16px;
    background: var(--sys-bg-default, #f3f5f7);
    display: flex;
    width: 100%;
    padding: 25px 20px;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
  }

  .solution-section
    .content-container
    .footer-container
    .footer-content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    flex-shrink: 1;
  }

  .solution-section
    .content-container
    .footer-container
    .footer-content-container
    .footer-title-text {
    color: var(--sys-text-default-900, #373d44);
    /* Title/Medium */
    font-family: Pretendard;
    font-size: var(--ref-font-size-4-static, 18px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 28.8px */
  }

  .solution-section
    .content-container
    .footer-container
    .footer-content-container
    ul.footer-content-list {
    list-style: none;
    padding-left: 0;
    margin-left: 0;
  }

  .solution-section
    .content-container
    .footer-container
    .footer-content-container
    ul.footer-content-list
    li {
    position: relative;
    padding-left: 1.5em;

    color: var(--sys-text-light-700, #4e5760);

    /* Body/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-2-static, 14px);
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
  }

  .solution-section
    .content-container
    .footer-container
    .footer-content-container
    ul.footer-content-list
    li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0.6em;
    width: 0.25em;
    height: 0.25em;
    background-color: #3cd0d0;
    border-radius: 50%;
  }

  .solution-section .content-container .footer-container .programs {
    display: flex;
    align-items: center;
    gap: 8px;
  }

  .solution-section .content-container .footer-container .programs img {
    flex: 1 1 0;
    min-width: 0;
    max-width: 100%;
    height: auto;
    object-fit: contain;
  }

  .solution-section .solution-item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
    align-self: stretch;
  }

  .solution-section .solution-item .solution-item-name-container {
    display: flex;
    align-items: center;
    gap: 2px;
    align-self: stretch;
  }

  .solution-section .solution-item .solution-item-name-container img {
    width: 28px;
    height: 28px;
    aspect-ratio: 1/1;
  }

  .solution-section
    .solution-item
    .solution-item-name-container
    .solution-item-name-text {
    color: var(--sys-text-default-900, #373d44);
    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .solution-section .solution-item .solution-item-description-text {
    padding-left: 26px;
    color: var(--sys-text-light-700, #4e5760);

    /* Body/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-2-static, 14px);
    font-style: normal;
    font-weight: 400;
    line-height: 160%; /* 22.4px */
  }
}
